#version 150

in vec4 vertexColor;
in float vertexDistance;
in vec3 xyzPos;

uniform float GameTime;
uniform vec4 ColorModulator;
uniform vec2 u_resolution;
uniform vec2 ScreenSize;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }
    
    /* tooltip background alpha/colour */
    if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) {
        color = vec4(0.067, 0.067, 0.067, 0.89  ); /* < < Your custom colour goes here*/
    }

    /* tooltip border alpha/colour */
    if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) { 
        color = vec4(0.776, 0.776, 0.776, 0.95); /* < < Your custom colour goes here*/
    }
    
    fragColor = color * ColorModulator;
}
